Bug Hunting Session
Bug 92030 - Search functionality in the viewer
Summary: Search functionality in the viewer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard:
Keywords: difficultyInteresting, easyHack, skillJava, topicUI
Depends on:
Blocks:
 
Reported: 2015-06-12 10:47 UTC by Miklos Vajna
Modified: 2015-12-16 00:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
printscreen Android UI (86.18 KB, image/png)
2015-11-23 12:44 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-06-12 10:47:39 UTC
It would be nice to be able to search in the viewed document, just like on the desktop. It's not too hard to implement this today, either.

The Android app uses the LibreOfficeKit API to talk to core. gtktiledviewer is a test program to show all the LOK API features implemented in core, and it already can do searching.

Code pointers:

- desktop/source/lib/lokandroid.cxx, Java_org_libreoffice_kit_Document_postUnoCommand() currently always set the command parameter string to 0, that has to be implemented

- libreofficekit/qa/gtktiledviewer/gtktiledviewer.cxx, doSearch() shows how to send a .uno:ExecuteSearch command to core

- android/source/ is the source code for the Java part of the Android app

See https://wiki.documentfoundation.org/Development/Android in general on how to get an Android build.
Comment 1 Miklos Vajna 2015-11-13 13:18:17 UTC
6636476cf06ccabc81fcc951f842a34a7f4b5840 implemented this.
Comment 2 raal 2015-11-23 12:44:59 UTC
Created attachment 120742 [details]
printscreen Android UI

Hello, where can I find search bar? I doesn't see some icon in the UI. Build few days old. Thank you.
Comment 3 Miklos Vajna 2015-11-23 13:19:12 UTC
That looks like an older build, not only the search icon is missing from the toolbar, but also undo/redo and the button to enable the lower toolbar.
Comment 4 Christian Lohmaier 2015-11-23 16:50:33 UTC
the android tinderbox (which you seem to be using) packaged an old/non-updated version of the apk,  so while it looked like you were downloading a recent build, the apk inside the download was an old one - that was fixed already,  so please  try again with current build from http://dev-builds.libreoffice.org/daily/master/Android-ARM@24-Bytemark-Hosting/current/

(the version from TDF in google play is not updated yet, but will receive an update soon)
Comment 5 Robinson Tryon (qubit) 2015-12-16 00:39:30 UTC
Migrating Whiteboard tags to Keywords: (easyHack difficultyInteresting skillJava topicUI)
[NinjaEdit]